Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZExtensionPackageCreator Class Reference
Inheritance diagram for eZExtensionPackageCreator:

## Public Member Functions
| __construct ( $id)
| finalize (&$package, $http, &$persistentData)
| packageInstallType ( $package, &$persistentData)
| packageInitialState ( $package, &$persistentData)
| packageType ( $package, &$persistentData)
| initializeExtensionName ( $package, $http, $step, &$persistentData, $tpl)
| loadExtensionName ( $package, $http, $step, &$persistentData, $tpl)
| validateExtensionName ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitExtensionName ( $package, $http, $step, &$persistentData, $tpl)
| generatePackageInformation (&$packageInformation, $package, $http, $step, &$persistentData)
Public Member Functions inherited from eZPackageCreationHandler
| __construct ( $id, $name, $steps)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| loadStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl)
| loadStep ( $package, $http, $currentStepID, &$persistentData, $tpl, &$module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| initialChangelogEntry ( $package, $http, $step, &$persistentData, $tpl)
| createPackage (&$package, $http, &$persistentData, &$cleanupFiles, $storePackage=true)
| initializePackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageInformation ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageChangelog ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageMaintainer ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| checkPackageMaintainer ( $package, &$persistentData)
| initializePackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageThumbnail ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageCreationHandler
static | creatorLimitationList ()
static & | creatorList ( $checkRoles=false)
static | instance ( $handlerName)
| packageInformationStep ()
| packageMaintainerStep ()
| packageChangelogStep ()
| packageThumbnailStep ()
static | httpFileIsImage ( $httpFileName, &$errorList)
static | appendLicence ( $package)
Public Attributes inherited from eZPackageCreationHandler
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $LoadStepMethodMap
| $StepMap

## Detailed Description

Definition at line 18 of file ezextensionpackagecreator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZExtensionPackageCreator::__construct | ( |  | $id | ) |

Definition at line 20 of file ezextensionpackagecreator.php.

References eZPackageCreationHandler\packageChangelogStep(), eZPackageCreationHandler\packageInformationStep(), eZPackageCreationHandler\packageMaintainerStep(), and ezpI18n\tr().

## Member Function Documentation

## ◆ commitExtensionName()

eZExtensionPackageCreator::commitExtensionName | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 100 of file ezextensionpackagecreator.php.

## ◆ finalize()

eZExtensionPackageCreator::finalize | ( | & | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Finalizes the creation process with the gathered information. This is usually the function that creates the package and adds the proper elements.

Reimplemented from eZPackageCreationHandler.

Definition at line 36 of file ezextensionpackagecreator.php.

References eZPackageCreationHandler\createPackage(), and eZPackage\packageHandler().

## ◆ generatePackageInformation()

eZExtensionPackageCreator::generatePackageInformation | ( | & | $packageInformation,
|  |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData
| ) |  |

Fetches the selected content classes and generates a name, summary and description from the selection.

Reimplemented from eZPackageCreationHandler.

Definition at line 108 of file ezextensionpackagecreator.php.

## ◆ initializeExtensionName()

eZExtensionPackageCreator::initializeExtensionName | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 76 of file ezextensionpackagecreator.php.

## ◆ loadExtensionName()

eZExtensionPackageCreator::loadExtensionName | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 80 of file ezextensionpackagecreator.php.

References eZExtension\baseDirectory().

## ◆ packageInitialState()

eZExtensionPackageCreator::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, site style packages are always stable.

Reimplemented from eZPackageCreationHandler.

Definition at line 63 of file ezextensionpackagecreator.php.

## ◆ packageInstallType()

eZExtensionPackageCreator::packageInstallType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'import'`

Reimplemented from eZPackageCreationHandler.

Definition at line 55 of file ezextensionpackagecreator.php.

## ◆ packageType()

eZExtensionPackageCreator::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'sitestyle'`.

Reimplemented from eZPackageCreationHandler.

Definition at line 71 of file ezextensionpackagecreator.php.

## ◆ validateExtensionName()

eZExtensionPackageCreator::validateExtensionName | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Definition at line 86 of file ezextensionpackagecreator.php.

References ezpI18n\tr().

The documentation for this class was generated from the following file:

- ezextensionpackagecreator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.